Subject: bug#37884: 27.0.50; Cannot write to a file in VirtualBox shared directory

From: Eli Zaretskii <[email-masked]>
Date: Thu, 31 Oct 2019 16:37:26 +0200

> From: Robert Pluim <[email-masked]>
> Date: Thu, 31 Oct 2019 08:38:59 +0100
> Cc: [email-masked], [email-masked]
> 
>     Paul> In contrast, Bernardo's suggestion is
>     Paul> simpler, involves no extra system calls (or machine instructions, for
>     Paul> that matter), and has been tested. So I installed the attached patch
>     Paul> to implement and document the workaround, and am optimistically
>     Paul> closing the bug report.
> 
> Looks good to me. I was trying to avoid that, since I thought there
> was a strong desire to keep the file read-only, otherwise why bother
> with the fchmod in the first place?

Exactly my line of reasoning.

But if there's no special reason to have that file unwritable, then a
simpler change is of course better.